﻿@using zhengcaioa.Models;
@{
    string FlowLink = string.Empty;
    string FlowLinkName = string.Empty;
   
}
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta http-equiv="Pragma" content="no-cache">
    <meta http-equiv="Cache-Control" content="no-siteapp" />
    <meta http-equiv="Cache-Control" content="no-cache">
    <meta http-equiv="Expires" content="0">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0">
    <meta name="renderer" content="webkit">
    <title>@SiteConfig.SiteName</title>
    <meta name="keywords" content="@SiteConfig.Keywords">
    <meta name="description" content="@SiteConfig.Description">
    <meta name="author" content="@SiteConfig.Author">
    <link rel="icon" type="image/x-icon" href="@SiteConfig.ShortcutIcon">
    <!-- uc强制竖屏 -->
    <meta name="screen-orientation" content="portrait">
    <!-- QQ强制竖屏 -->
    <meta name="x5-orientation" content="portrait">
    <!-- UC强制全屏 -->
    <meta name="full-screen" content="yes">
    <!-- QQ强制全屏 -->
    <meta name="x5-fullscreen" content="true">
    <!--[if lt IE 9]>
    <meta http-equiv="refresh" content="0;ie.html" />
    <![endif]-->
    <link href="~/css/bootstrap.min.css" rel="stylesheet">
    <link href="~/css/font-awesome.min.css" rel="stylesheet">
    <link href="~/css/animate.min.css" rel="stylesheet">
    <link href="~/css/style.min.css?v=6" rel="stylesheet">
    <link href="~/css/plugins/toastr/toastr.min.css" rel="stylesheet">
    
</head>
<body class="fixed-sidebar full-height-layout gray-bg" style="overflow: hidden">
    <div id="wrapper">
        @{
            Html.RenderPartial("_Layout_Left");
        }
        @*@{Html.RenderPartial("_Layout_Left", ViewData["lstMune"]);}*@
        <!--右侧部分开始-->
        <div id="page-wrapper" class="gray-bg dashbard-1">
            @{
                Html.RenderPartial("_Layout_Header");
            }
            <div class="row J_mainContent" id="content-main">
                <iframe class="J_iframe" width="100%" height="100%" src="" data-id="/Home/HomeIndex"
                        name="iframe0" frameborder="0" seamless></iframe>
            </div>
            @*@RenderPage("_Layout_Footer.cshtml")*@
            @RenderBody()
        </div>

        <a id="aFlowLink" class="J_menuItem" href="" data-index="0" style="display:none;"></a>



    </div>
    <script src="~/js/jquery.min.js" type="text/javascript"></script>
    <script src="~/js/bootstrap.min.js" type="text/javascript"></script>
    <script src="~/js/plugins/metisMenu/jquery.metisMenu.js" type="text/javascript"></script>
    <script src="~/js/plugins/slimscroll/jquery.slimscroll.min.js" type="text/javascript"></script>
    <script src="~/js/plugins/layer/layer.js" type="text/javascript"></script>
    <script src="~/js/hplus.min.js" type="text/javascript"></script>
    <script src="~/js/contabs.min.js" type="text/javascript"></script>
    <script src="~/js/plugins/pace/pace.min.js" type="text/javascript"></script>
    <script src="~/js/plugins/toastr/toastr.min.js" type="text/javascript"></script>
    <script src="~/js/common-layout.js" type="text/javascript"></script>
    <script src="~/js/datehelper.js"></script>    

    <script type="text/javascript">

    </script>
    <script language="javascript" type="text/javascript">


        function _CloseTab(taburl) {
            taburl = decodeURIComponent(taburl);
            var isclose = false;
            var lastid = "";
            $(".J_menuTab").each(function () {
                if ($(this).data("id") == taburl) {
                    console.log("关闭");

                    isclose = true;
                    $(".page-tabs-content a[data-id='" + taburl + "']").remove();
                    $("#content-main").find("iframe[data-id='" + taburl + "']").remove();

                }
                else {
                    lastid = $(this).data("id");
                }
            });
            if (isclose) {
                $('.J_iframe[data-id="' + lastid + '"]').show();
                $(".page-tabs-content a[data-id='" + lastid + "']").addClass("active")
            }

        }

        function _RefreshTab(taburl) {
            taburl = decodeURIComponent(taburl);

            var isclose = false;
            var lastid = "";
            $(".J_menuTab").each(function () {
                if ($(this).data("id") == taburl) {
                    var child = $("#content-main").find("iframe[data-id='" + taburl + "']");
                    if (child.length > 0) {
                        $(child[0]).attr("src", $(child[0]).attr('src'));
                    }
                }

            });


        }

        var timerId; // 定时器id
        var isLock = false; // 是否锁定


        // 退出
        var logout = function () {
            if (isLock) {
                return;
            }
            //clearInterval(timerId);
            setTimeout(function () {
                location.href = "/uc/logout";
            }, 400);
        }

        //clearInterval(timer);
        timerId = function () {
            $.ajax({
                type: "POST",
                url: "/DailyManagement/CountRemindRecord",
                dataType: "json",
                global: false,
                async: false,
                //data: $('form').serializeArray(),
                success: function (data) {
                    // console.log(data);
                    $("#RemindCount").text(data);
                    if (parseInt(data) > 0) {
                        $("#imgRemindCount").attr("style", 'font-size:18px; color:#0d9c63;');
                    }
                    else {
                        $("#imgRemindCount").attr("style", 'font-size: larger;');
                    }
                },
                error: function () {
                    parent.layer.msg('失败', { icon: 5 });
                }
            });


            $.ajax({
                type: "POST",
                url: "/WorkFlowTask/CountRemindRecord",
                dataType: "json",
                global: false,
                async: false,
                //data: $('form').serializeArray(),
                success: function (data) {
                    // console.log(data);
                    $("#wfmsgcount").text(data);
                    if (parseInt(data) > 0) {
                        $("#showmsgcounts").attr("style", 'font-size:18px; color:#0d9c63;');
                    }
                    else {
                        $("#showmsgcounts").attr("style", 'font-size: larger;');
                    }
                },
                error: function () {
                    parent.layer.msg('失败', { icon: 5 });
                }
            });

        };

        timerId();
        setInterval(timerId, 1000 * 60 * 2);
        window.addEventListener("load", function () {
            window.addEventListener("message", function (message) {
                if (message.data == "ClosePage") {
                    //添加关闭页面逻辑
                    $(".page-tabs-content a").each(function () {

                        if ($(this).hasClass("active")) {
                            var urlll = $(this).attr("data-id");
                            _CloseTab1(urlll);

                        }
                    });
                }
            })
        })





        function _CloseTab1(taburl) {
            //taburl = decodeURIComponent(taburl);
            var isclose = false;
            var lastid = "";
            $(".J_menuTab").each(function () {
                if ($(this).data("id") == taburl) {
                    console.log("关闭");

                    isclose = true;
                    $(".page-tabs-content a[data-id='" + taburl + "']").remove();
                    $("#content-main").find("iframe[data-id='" + taburl + "']").remove();

                }
                else {
                    lastid = $(this).data("id");
                }
            });
            if (isclose) {
                $('.J_iframe[data-id="' + lastid + '"]').show();
                $(".page-tabs-content a[data-id='" + lastid + "']").addClass("active")
            }

        }


    </script>

</body>
</html>
